Subject: Re: Slab errors on 4xx (STB04)

From: Andre Draszik <[email-masked]>
Date: Mon, 10 Apr 2006 21:48:38 +0200

Eugene Surovegin wrote:
> On Mon, Apr 10, 2006 at 12:33:56AM +0200, Andre Draszik wrote:
>> Since it _seems_ to work nevertheless - is CONFIG_DEBUG_SLAB known to be
>> broken on this platform?
> 
> Yes, it's very likely that CONFIG_DEBUG_SLAB is the culprit here. This 
> [...]

Thanks Roland and Eugene for the advice.

> You can try changing __dma_sync() to do flush_dcache_range() even for 
> DMA_FROM_DEVICE case. However, do this only to check this theory, not 
> as a permanent solution :).

OK, I will play with the cache later today... I wanted DEBUG_SLAB turned
on for some other unrelated problem, so just for debugging, this hack
would be fine if it worked :)

Greetings,
Andre'